curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_l7q7dkf244hwjntr0&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.amazon.com/dp/B0CHHSFMRL"}, {"url": "https://www.amazon.com/dp/B09V3KXJPB"}]}'[
{
"title": "Apple AirPods Pro 3 Wireless Earbuds with Active Noise Cancellation",
"asin": "B0FQFB8FMG",
"brand": "Apple",
"initial_price": 249,
"final_price": 199.99,
"currency": "USD",
"rating": 4.4,
"reviews_count": 14302,
"seller_name": "Amazon.com",
"availability": "In Stock",
"image_url": "https://m.media-amazon.com/images/I/61solmQSSlL._AC_SL1500_.jpg",
"url": "https://www.amazon.com/dp/B0FQFB8FMG"
}
]
Amazon
Collect products by URL
Use the Bright Data Web Scraper API to collect Products by URL. POST /datasets/v3/scrape starts a job that returns structured product records as JSON.
POST
/
datasets
/
v3
/
scrape
curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_l7q7dkf244hwjntr0&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.amazon.com/dp/B0CHHSFMRL"}, {"url": "https://www.amazon.com/dp/B09V3KXJPB"}]}'[
{
"title": "Apple AirPods Pro 3 Wireless Earbuds with Active Noise Cancellation",
"asin": "B0FQFB8FMG",
"brand": "Apple",
"initial_price": 249,
"final_price": 199.99,
"currency": "USD",
"rating": 4.4,
"reviews_count": 14302,
"seller_name": "Amazon.com",
"availability": "In Stock",
"image_url": "https://m.media-amazon.com/images/I/61solmQSSlL._AC_SL1500_.jpg",
"url": "https://www.amazon.com/dp/B0FQFB8FMG"
}
]
Query Parameters
string
default:"gd_l7q7dkf244hwjntr0"
required
The dataset ID used for this request.
Must be set to
gd_l7q7dkf244hwjntr0 to collect Products by URL data.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
[
{
"title": "Apple AirPods Pro 3 Wireless Earbuds with Active Noise Cancellation",
"asin": "B0FQFB8FMG",
"brand": "Apple",
"initial_price": 249,
"final_price": 199.99,
"currency": "USD",
"rating": 4.4,
"reviews_count": 14302,
"seller_name": "Amazon.com",
"availability": "In Stock",
"image_url": "https://m.media-amazon.com/images/I/61solmQSSlL._AC_SL1500_.jpg",
"url": "https://www.amazon.com/dp/B0FQFB8FMG"
}
]
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Must be gd_l7q7dkf244hwjntr0 to collect Products by URL.
Send notifications when the request is completed.
Include errors in the response.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
OK
Was this page helpful?